Skip to main content
GET/email-messages/:id/

Get single email message

You can return a specific email message.

AttributesTypeRequiredDescription
idintegeryesA unique identifier for an email message automatically generated by User

Request​

curl -X GET "https://<your_app_subdomain>.user.com/api/public/email-messages/:id/" \
-H "Authorization: Token <your_64_char_api_key>" \
-H "Accept: */*; version=2"

Response examples​

{
"id": 213,
"name": "Test message",
"subject": "Test message subject",
"created_at": "2016-09-19T09:08:53.125485Z",
"updated_at": "2016-09-19T10:25:43.460763Z",
"body_text": "My test email message",
"body_html": "<body><p>My test email message</p></body>",
"archived": false
}

Response fields​

Fields returned in the 200 OK response body.

FieldTypeDescription
id
integer
integerA unique identifier for the campaign which is given by User
name
string
stringAn email campaign name.
subject
string
stringEmail subject line.
body_text
string
stringPlain-text version of the message.
body_html
string
stringHTML version of the message.
archived
boolean
booleanWhether the message is archived.
created_at
string (date-time)
string (date-time)A creation date of email campaign.
updated_at
string (date-time)
string (date-time)A last update of email campaign
note

Errors that can come from any endpoint (401, 429, 500, 502, 504) are described in HTTP response codes.